#include "BreakTheLinePkg.h"

BreakTheLinePkg::BreakTheLinePkg(int a, bool ack) : TelepatiPkg(){
  type=BREAKTHELINE;
  aibo=a;
  needAck=ack;
}

BreakTheLinePkg::BreakTheLinePkg(byte* ptr) : TelepatiPkg(ptr){
}


BreakTheLinePkg::~BreakTheLinePkg(){
}

TelepatiPkg* BreakTheLinePkg::clone(){
  BreakTheLinePkg* clone=new BreakTheLinePkg(aibo, needAck);
  clone->serialNum=serialNum;
  return clone;
}



byte* BreakTheLinePkg::getMsg(){
  delete [] message;
  message=createStdHeader(0);
  return message;
}
